[arch-commits] Commit in gnome-games/trunk (PKGBUILD gnome-games.install)

Jan de Groot jgc at archlinux.org
Sun Jul 6 13:10:36 EDT 2008


    Date: Sunday, July 6, 2008 @ 13:10:36
  Author: jgc
Revision: 4320

upgpkg: gnome-games 2.22.3-1
    Generate ggz.modules from install scriptlet. Should fix file conflicts with kdegames 4.x

Modified:
  gnome-games/trunk/PKGBUILD
  gnome-games/trunk/gnome-games.install

---------------------+
 PKGBUILD            |    9 ++++++---
 gnome-games.install |    9 +++++++++
 2 files changed, 15 insertions(+), 3 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-07-06 16:44:58 UTC (rev 4319)
+++ PKGBUILD	2008-07-06 17:10:36 UTC (rev 4320)
@@ -2,12 +2,12 @@
 # Maintainer: Jan de Groot <jgc at archlinux.org>
 
 pkgname=gnome-games
-pkgver=2.22.2.1
+pkgver=2.22.3
 pkgrel=1
 pkgdesc="Some Games for GNOME"
 arch=(i686 x86_64)
 license=('GPL')
-depends=('libgnomeui>=2.22.1' 'guile>=1.8.4-2' 'librsvg>=2.22.2' 'filesystem>=0.8-3' 'desktop-file-utils' 'gnome-python-desktop>=2.22.0' 'gstreamer0.10>=0.10.19' 'libgnomeprintui>=2.18.2' 'ggz-client-libs>=0.0.14.1')
+depends=('libgnomeui>=2.22.1' 'guile>=1.8.4-2' 'librsvg>=2.22.2' 'filesystem>=0.8-3' 'desktop-file-utils' 'gnome-python-desktop>=2.22.0' 'gstreamer0.10>=0.10.20' 'libgnomeprintui>=2.18.2' 'ggz-client-libs>=0.0.14.1')
 makedepends=('perlxml' 'pkgconfig' 'gnome-doc-utils>=0.12.2')
 provides=('glchess' 'gnome-sudoku')
 conflicts=('glchess' 'gnome-sudoku')
@@ -16,7 +16,7 @@
 url="http://www.gnome.org"
 groups=('gnome-extra')
 source=(http://ftp.gnome.org/pub/gnome/sources/${pkgname}/2.22/${pkgname}-${pkgver}.tar.bz2)
-md5sums=('9805b4f16657c189954005c57c31cfe9')
+md5sums=('d6feb460f7db007aafb35b7a46b947be')
 
 build() {
   cd ${startdir}/src/${pkgname}-${pkgver}
@@ -33,4 +33,7 @@
   install -m755 -d ${startdir}/pkg/usr/share/gconf/schemas
   gconf-merge-schema ${startdir}/pkg/usr/share/gconf/schemas/${pkgname}.schemas ${startdir}/pkg/etc/gconf/schemas/*.schemas || return 1
   rm -f ${startdir}/pkg/etc/gconf/schemas/*.schemas
+
+  rm -f ${startdir}/pkg/etc/ggz.modules
+  install -m644 gnect/data/gnect-client.dsc gnibbles/gnibbles-client.dsc iagno/iagno-client.dsc ${startdir}/pkg/usr/share/ggz/ || return 1
 }

Modified: gnome-games.install
===================================================================
--- gnome-games.install	2008-07-06 16:44:58 UTC (rev 4319)
+++ gnome-games.install	2008-07-06 17:10:36 UTC (rev 4320)
@@ -105,6 +105,9 @@
     chown root:games "var/games/${score}"
     chmod 664 "var/games/${score}"
   done
+  ggz-config -i -f -m usr/share/ggz/gnect-client.dsc >& /dev/null
+  ggz-config -i -f -m usr/share/ggz/gnibbles-client.dsc >& /dev/null
+  ggz-config -i -f -m usr/share/ggz/iagno-client.dsc >& /dev/null
 }
 
 pre_upgrade() {
@@ -117,6 +120,12 @@
 
 pre_remove() {
   usr/sbin/gconfpkg --install ${pkgname}
+
+  if [ -f usr/share/ggz/gnect-client.dsc ]; then
+    ggz-config -r -m usr/share/ggz/gnect-client.dsc >& /dev/null
+    ggz-config -r -m usr/share/ggz/gnibbles-client.dsc >& /dev/null
+    ggz-config -r -m usr/share/ggz/iagno-client.dsc >& /dev/null
+  fi
 }
 
 post_remove() {





More information about the arch-commits mailing list